package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * desc：员工导购id与导购wxUserId实体
 *
 * @author: YongEn
 * @date: 2021/11/11
 **/
public class ClerkStaffWxUserDTO implements Serializable {
    private static final long serialVersionUID = -5124016907535027993L;
    /**
     * 会员对外联系人id
     */
    private String memberExternalUserId;
    /**
     * 导购员工的外部联系人id-wxUserId
     */
    private String staffId;
    /**
     * 员工导购id
     */
    private String staffClerkId;
    
    private Date addFriendTime ;

    public Date getAddFriendTime() {
        return addFriendTime;
    }

    public void setAddFriendTime(Date addFriendTime) {
        this.addFriendTime = addFriendTime;
    }

    public ClerkStaffWxUserDTO() {
    }

    public ClerkStaffWxUserDTO(String staffId, String staffClerkId, String memberExternalUserId , Date addFriendTime) {
        this.memberExternalUserId = memberExternalUserId;
        this.staffId = staffId;
        this.staffClerkId = staffClerkId;
        this.addFriendTime = addFriendTime ;
    }

    public String getMemberExternalUserId() {
        return memberExternalUserId;
    }

    public void setMemberExternalUserId(String memberExternalUserId) {
        this.memberExternalUserId = memberExternalUserId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffClerkId() {
        return staffClerkId;
    }

    public void setStaffClerkId(String staffClerkId) {
        this.staffClerkId = staffClerkId;
    }
}
